API ReferenceVacation Available
Retrieves a VacationAvailable resource.
GET
Retrieves a VacationAvailable resource.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringVacationAvailable identifier
VacationAvailable resource
- response
id?stringFormat
uuidyear?integerdaysTransferred?integerdaysCurrentYear?integerdaysAvailable?integerdaysUsed?integercalendarUser?|nullpermissions?curl -X GET 'https://app.icproject.com/api/instance/demo/calendar/vacation-availables/string'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "year": 0, "daysTransferred": 0, "daysCurrentYear": 0, "daysAvailable": 0, "daysUsed": 0, "calendarUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "permissions": { "canManage": null }}